Subject: [regext] I-D Action: draft-ietf-regext-org-ext-05.txt

From: [email-masked]
Date: Mon, 07 May 2018 02:07:32 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Registration Protocols Extensions WG of the IETF.

        Title           : Organization Extension for the Extensible Provisioning Protocol (EPP)
        Authors         : Linlin Zhou
                          Ning Kong
                          Junkai Wei
                          Xiaodong Lee
                          James Gould
	Filename        : draft-ietf-regext-org-ext-05.txt
	Pages           : 24
	Date            : 2018-05-07

Abstract:
   This mapping, an extension to EPP object mappings like the EPP domain
   name mapping [RFC5731], to support assigning an organization to any
   existing object (domain, host, contact) as well as any future
   objects.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-regext-org-ext/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-regext-org-ext-05
https://datatracker.ietf.org/doc/html/draft-ietf-regext-org-ext-05

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-regext-org-ext-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Gould, James" <[email-masked]>
Date: Mon, 7 May 2018 14:20:21 +0000

Linlin,

In doing my review and validating all of the sample XML of draft-ietf-regext-org-ext-05, I found the following.  All of the sample XML in draft-ietf-regext-org-ext-05 did validate successfully.

  1.  Remove the link reference to RFC5731 in the abstract.  Running idnits results in the following error:

a.      The abstract seems to contain references ([RFC5731]), which it shouldn't.  Please replace those with straight textual mentions of the  documents in question.

2.      In section 1 “Introduction”:

a.      Change “There may have some other roles…” to “There may be other roles…”.

b.      Change “…nor the registrar of records…” to “…nor the registrar of record…”.

c.       Change “And a privacy proxy is an entity that provides with individuals and organizations domain registration without exposing their private information” to “A privacy proxy is an entity used for domain registrations to protect the private information of the individuals and organizations” or something similar.

3.       Change title of section 4.1.3 from “EPP <transfer> Command” to “EPP <transfer> Query Command” and change “This extension does not add any elements to the EPP <transfer> command or <transfer> response described…” to “This extension does not add any elements to the EPP <transfer> query command or <transfer> query response described…”.

  1.  Change “Registrant Contact” attribute in section 7.1 “XML Namespace” to IESG
  2.  Set the following values for section 7.2 “EPP Extension Registry” to match RFC 7451:
     *   Name of Extension: Organization Extension for the Extensible Provisioning Protocol (EPP)
     *   Registrant Name and Email Address: IESG, [email-masked]<mailto:[email-masked]>
     *   TLDs: Any
     *   IPR Disclosure: None
     *   Status: Active
     *   Notes: None

—

JG

James Gould

Distinguished Engineer

[email-masked]

703-948-3271

12061 Bluemont Way

Reston, VA 20190

Verisign.com <http://verisigninc.com/>

On 5/7/18, 5:08 AM, "regext on behalf of [email-masked]" <[email-masked] on behalf of [email-masked]> wrote:

            Authors         : Linlin Zhou

                              Ning Kong

                              Junkai Wei

                              Xiaodong Lee

                              James Gould

                Pages           : 24

                Date            : 2018-05-07

    Abstract:

       objects.

    _______________________________________________

    regext mailing list

    [email-masked]

    https://www.ietf.org/mailman/listinfo/regext